using System;

namespace SharpSword.Formatters
{
   public interface IFormatter
   {
      string Header();
      
      string Format(string text, IVerseIdentifier verseIdentifier);
      
      string Footer();
      
      string ChapterTitle(IVerseIdentifier verseIdentifier);
      
      bool IncludeVerseNumbers
      {
         get;
         set;
      }
   }
}

