
function scrollTo(hash) {
   location.hash = "#" + hash;
   var targetElement = document.getElementsByName(hash)[0];
   var verseElement = targetElement.nextElementSibling;
   verseElement.style.backgroundColor = "grey";
   verseElement.style.color = "white";
}

function getTarget()
{
	var target = event.Target;
	if(target != null)
	{
		return target;
	}
	return event.srcElement;
}

window.oncontextmenu = function() {
    return false;
};

window.onload = function()
{
   var modal= document.getElementById('note');
   
   var shown = false;
   var notelinks = document.getElementsByClassName('notelink');
   for (var i=0;i<notelinks.length;i++)
   {
      var noteline = notelinks[i];
      noteline.onclick= function() 
      {
          var note = getTarget().nextElementSibling;
          note.style.display= 'inline';
          document.body.style.background= 'lightgray';
          shown = true;
          return false;
      };
   }
   var selectedVerse = null;
   
   var verseDivs = document.getElementsByClassName('verse');
   for (var i=0;i<verseDivs.length;i++)
   {
      var verseDiv = verseDivs[i];
      verseDiv.onclick= function() 
      {
         if(selectedVerse != null)
         {
            var notelinks = selectedVerse.getElementsByClassName('notelink');
            for (var j=0;j<notelinks.length;j++)
            {
               notelinks[j].style.display= 'none';
            }
         }
         var targetVerse = getTarget();
         var notelinks = targetVerse.getElementsByClassName('notelink');
         for (var j=0;j<notelinks.length;j++)
         {
            notelinks[j].style.display= 'inline';
         }
         selectedVerse = targetVerse;
         return false;
      };
   }
   
   document.onmousedown = function()
   {
      if(event.button == 4)
      {
         return false;
      }
   }

   document.onclick = function()
   {
      return false;
   };

   document.onmouseup = function() 
   { 
      var ele = getTarget();
      if(ele.parentNode.className == "notelink")
      {
         return false;
      }
      else if (ele.nodeName == "A" && ele.getAttribute("href") != null)
      {
         window.location.href = ele.getAttribute("href") + "," + event.button;
         return false;
      }
      document.body.style.background= 'white';
      
      var notes = document.getElementsByClassName('note');
      for (var i=0;i<notelinks.length;i++)
      {
         notes[i].style.display= 'none';
      }
      shown = false;
      
      return false;
   };
};
            