using System;
using System.IO;
using System.Collections.Generic;

namespace SharpSword
{
   public class DirectoryWrapper : IDirectory
   {
      public void CreateDirectory (string path)
      {
         Directory.CreateDirectory(path);
      }

      public bool Exists (string path)
      {
         return Directory.Exists (path);
      }

      public IEnumerable<string> GetFiles(string path)
      {
         return Directory.GetFiles(path);
      }
      
      public void Move(string sourceDirName, string destDirName)
      {
         Directory.Move(sourceDirName, destDirName);  
      }
   }
}

