using System;
using System.Collections.Generic;

namespace SharpSword
{
   public interface IModuleConfig
   {
      string Name
      {
         get;
      }

      bool IsBible
      {
         get;
      }

      bool Osis
      {
         get;
      }

      string DataPath
      {
         get;
      }

      /// <summary>
      /// Gets the entry.
      /// </summary>
      /// <returns>
      /// The entry or string.Empty if it was not found
      /// </returns>
      /// <param name='entryName'>
      /// Entry name.
      /// </param>
      IEnumerable<string> GetEntry (string entryName);
    
      string Versification
      {
         get;
      }
   }
}

